[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'math' (#rtl)

# artanh

Return inverse hyperbolic tangent

## Declaration

Source position: math.pp line 301

`function artanh(`
`x: float`
`):float;`

## Description

artanh returns the inverse hyperbolic tangent of its argument x, where x should lie in the interval [-1,1], borders included. The arctanh variant of this function is supplied for Delphi compatibility.

## Errors

In case x is not in the interval [-1,1], an EInvalidArgument exception is raised.

## See also

arcosh |  | Return inverse hyperbolic cosine
arccos |  | Return inverse cosine
arcsin |  | Return inverse sine
artanh |  | Return inverse hyperbolic tangent

## Example

    Program Example5;

    { Program to demonstrate the artanh function. }

    Uses math;

    begin
      Writeln(artanh(0));
      Writeln(artanh(0.5));
    end.

Documentation generated on: Feb 26 2014